import 'package:json_annotation/json_annotation.dart';

part 'card_token.g.dart';


@JsonSerializable()
class CardTokenEndpointDTO {
  final String token;

  @JsonKey(name: 'masked_pan')
  final String maskedPan;

  const CardTokenEndpointDTO({
    required this.maskedPan,
    required this.token,
  });

  factory CardTokenEndpointDTO.fromJson(Map<String, dynamic> json) => _$CardTokenEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$CardTokenEndpointDTOToJson(this);
}
